## com.puppycrawl.tools.checkstyle.filters
Class SuppressionCommentFilter.Tag

    java.lang.Object
      com.puppycrawl.tools.checkstyle.filters.SuppressionCommentFilter.Tag

All Implemented Interfaces:
  Comparable<SuppressionCommentFilter.Tag>

Enclosing class:
  SuppressionCommentFilter

    public class SuppressionCommentFilter.Tag

extends Object
implements Comparable<SuppressionCommentFilter.Tag>

A Tag holds a suppression comment and its location, and determines whether the supression turns checkstyle reporting on or off.

Author:
  Rick Giles

Constructor Summary
`SuppressionCommentFilter.Tag(int aLine, int aColumn, String aText, boolean aOn)` Constructs a tag.

Method Summary
`int` `compareTo(SuppressionCommentFilter.Tag aObject)` Compares the position of this tag in the file with the position of another tag.
`int` `getColumn()` Determines the column number of the tag in the source file.
`int` `getLine()`
`String` `getText()`
`boolean` `isMatch(AuditEvent aEvent)` Determines whether the source of an audit event matches the text of this tag.
`boolean` `isOn()` Determines whether the suppression turns checkstyle reporting on or off.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SuppressionCommentFilter.Tag

    public SuppressionCommentFilter.Tag(int aLine,
                                        int aColumn,
                                        String aText,
                                        boolean aOn)
                                 throws org.apache.commons.beanutils.ConversionException

  Constructs a tag.

  Parameters:
    `aLine` - the line number.
    `aColumn` - the column number.
    `aText` - the text of the suppression.
    `aOn` - `true` if the tag turns checkstyle reporting.
  Throws:
    `org.apache.commons.beanutils.ConversionException` - if unable to parse expanded aText. on.

Method Detail

### getText

    public String getText()

  Returns:
    the text of the tag.

### getLine

    public int getLine()

  Returns:
    the line number of the tag in the source file.

### getColumn

    public int getColumn()

  Determines the column number of the tag in the source file. Will be 0 for all lines of multiline comment, except the first line.

  Returns:
    the column number of the tag in the source file.

### isOn

    public boolean isOn()

  Determines whether the suppression turns checkstyle reporting on or off.

  Returns:
    `true`if the suppression turns reporting on.

### compareTo

    public int compareTo(SuppressionCommentFilter.Tag aObject)

  Compares the position of this tag in the file with the position of another tag.

  Specified by:
    `compareTo` in interface `Comparable<SuppressionCommentFilter.Tag>`
  Parameters:
    `aObject` - the tag to compare with this one.
  Returns:
    a negative number if this tag is before the other tag, 0 if they are at the same position, and a positive number if this tag is after the other tag.
  See Also:
    `Comparable.compareTo(java.lang.Object)`

### isMatch

    public boolean isMatch(AuditEvent aEvent)

  Determines whether the source of an audit event matches the text of this tag.

  Parameters:
    `aEvent` - the `AuditEvent` to check.
  Returns:
    true if the source of aEvent matches the text of this tag.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2011. All Rights Reserved.